RPM-MACROFILE(5)

NUME
rpm-macrofile - formatul fișierului macro rpm

SINOPSIS
%NUME[([OPȚIUNI]) CORP_FIȘIER

DESCRIERE
Fișierele de macrocomenzi rpm sunt utilizate pentru a defini rpm-macros(7) în contextul de macrocomenzi global. Cele două utilizări principale sunt asistarea activității de împachetare și configurarea comportamentului rpm. Un set predeterminat de fișiere de macrocomenzi este citit la inițializarea bibliotecii rpm (a se vedea rpm-config(5)), dar acestea pot fi încărcate și prin intermediul macrocomenzii %load separat.

Formatul unui fișier de macrocomandă este următorul: NUMELE macrocomenzii prefixat cu %, urmat de un spațiu alb și apoi de corpul macrocomenzii, fiecare definiție nouă fiind separată de o linie nouă. Sintaxa este exact aceeași ca atunci când se utilizează %define. Consultați rpm-macros(7) pentru detalii privind sintaxa macrocomenzilor.

Un \ la sfârșit indică continuarea liniei, dar poate fi omis în interiorul corpurilor macrocomenzilor incluse într-un bloc %{macro:...}.

Liniile care încep cu # sau care constau exclusiv din spații albe sunt ignorate.

Citirea unui fișier de macrocomandă este întotdeauna complet declarativă: nicio macrocomandă nu este expandată niciodată la citirea unui fișier de macrocomandă.

EXEMPLE

  Exemplul 1. Macrocomandă simplă
    %instrumentul-meu	/usr/bin/instrumentul-meu-cu-nume-enervant

  Exemplul 2. Macrocomandă multilinie cu un comentariu înainte de aceasta
    # Finalizarea cu %{nil} este utilă pentru a asigura o linie nouă la sfârșit
    %mycmd %{mytool} \
        --one \
        --with \
        --too \
        --many arguments \
    %{nil}

  exemplul 3. Macrocomandă Lua parametrică multilinie:
    %myhelper() %{lua:
        function dostuff(arg)
            return 'do stuff to '..arg
        end
        print(dostuff(arg[1]))
    }

CONSULTAȚI ȘI
rpm-config(5) rpmbuild-config(5) rpm-macros(7)

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.